
TYPO3.Fluid - Bug # 5108

Status: Resolved Priority: Must have
Author: Fernando Arconada Category:
Created: 2009-10-25 Assigned To: Sebastian Kurfuerst
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Custom ViewHelper couldnt find validator of its own domain
Description

I've a model Tx_Mytube_Domain_Model_Video

I have created a ViewHelper
class Tx_Mytube_ViewHelpers_VideoViewHelper extends 
Tx_Fluid_Core_ViewHelper_AbstractViewHelper {
/**
    -  Renders the video player*
    -  @param Tx_Mytube_Domain_Model_Video $video
    -  @return string the content of the rendered TypoScript object

     */
          public function render(Tx_Mytube_Domain_Model_Video $video) {
                return "AAAAAA";
          }

}
?>

and a template

{namespace mytube=Tx_Mytube_ViewHelpers}
<mytube:video video="{video}"/>

But i having an exception

#1237900534: No validator found for argument name "video" with type 
"Tx_Mytube_Domain_Model_Video" in view helper 
"Tx_Mytube_ViewHelpers_VideoViewHelper".

Associated revisions
Revision 64b1682d - 2009-10-26 07:06 - Sebastian Kurfuerst

[+BUGFIX] Fluid (Core): Validation of ViewHelper arguments is non-mandatory now, as there is no validator for each domain object / we do not always
want to call it. Resolves #5108.
[+BUGFIX] Fluid (Core): Shorthand Syntax of ViewHelpers can now use longer namespace prefixes than one character. Resolves #5107.

History
#1 - 2009-10-26 06:20 - Sebastian Kurfuerst
- Project changed from Extbase MVC Framework to TYPO3.Fluid
#2 - 2009-10-26 06:20 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst

#3 - 2009-10-26 07:09 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
